use uuid::Uuid;

use super::schema::DbHook;

/// Checks that the provided user has at least one OTP method enabled
pub async fn has_otp(db: &mut DbHook, id: &Uuid) -> sqlx::Result<bool> {
	sqlx::query_scalar!("select count(otp_method) from otp where user_id = $1", id)
		.fetch_one(&mut **db)
		.await
		.map(|count| count.unwrap_or(0) > 0)
}
